package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuApprovalInstanceFormInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractFeishuApprovalInstanceFormInfo()
    {
        this("id");
    }
    protected AbstractFeishuApprovalInstanceFormInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 表单数据 's null property 
     */
    public FeishuApprovalInstanceInfo getParent()
    {
        return (FeishuApprovalInstanceInfo)get("parent");
    }
    public void setParent(FeishuApprovalInstanceInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 表单数据 's 表单字段名称 property 
     */
    public FeishuI18nResourcesInfo getName()
    {
        return (FeishuI18nResourcesInfo)get("name");
    }
    public void setName(FeishuI18nResourcesInfo item)
    {
        put("name", item);
    }
    /**
     * Object: 表单数据 's 表单值 property 
     */
    public FeishuI18nResourcesInfo getValue()
    {
        return (FeishuI18nResourcesInfo)get("value");
    }
    public void setValue(FeishuI18nResourcesInfo item)
    {
        put("value", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("0A6D6565");
    }
}